### Hierarchy

- AbstractWorker
  - ServiceWorker
  - Worker

## Index

### Properties

- onerror

### Methods

- addEventListener
- removeEventListener

## Properties

### onerror

onerror: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1696

## Methods

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1697

  #### Type parameters

  - #### K: keyof AbstractWorkerEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: AbstractWorker, ev: AbstractWorkerEventMap[K]): any

      - #### Parameters

        - ##### this: AbstractWorker

        - ##### ev: AbstractWorkerEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1698

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1699

  #### Type parameters

  - #### K: keyof AbstractWorkerEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: AbstractWorker, ev: AbstractWorkerEventMap[K]): any

      - #### Parameters

        - ##### this: AbstractWorker

        - ##### ev: AbstractWorkerEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1700

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

Generated using TypeDoc